[![https://github.com/gepd/Deviot/blob/master/LICENCE](https://img.shields.io/badge/Licence-%20Apache%20Software%20License-green.svg)](https://github.com/gepd/Deviot/blob/master/LICENCE)
[![https://gratipay.com/~gepd/](https://img.shields.io/donate/Deviot.png?color=yellow)](https://gratipay.com/~gepd/)

[English](https://github.com/gepd/Deviot/blob/master/README.md) | Español

# Deviot
Deviot es un plugin basado en [stino](https://github.com/Robot-Will/Stino) para Sublime Text 2 & 3 en el que puedes desarrollar aplicaciones para el IoT, usa el ecosistema [PlatformIO](http://platformio.org/) que soporta ¡más de **~200** placas!

## Instalación

![Install Deviot](https://github.com/gepd/Deviot/blob/master/Docs/images/deviot_install.gif?raw=true)

* [Instala Python 2](https://www.python.org/downloads/)
* Utilizando el [control de paquetes](https://packagecontrol.io/installation), instala el paquete llamado `Deviot` desde la lista.
* Espera hasta que el plugin se instale completamente.


## Como usar el plugin
![Deviot preview](https://github.com/gepd/Deviot/blob/master/Docs/images/deviot.gif?raw=true)

1. Escribe tu código
2. Desde el menú **Deviot** selecciona una o más placas, un entorno de desarrollo, y un puerto COM
3. Compila o carga tu código
4. ¡Hecho!

##### Barra de Shortcuts (Sólo en Windows)
![shortcuts](https://github.com/gepd/Deviot/blob/master/Docs/images/deviot_bar.png?raw=true)

1. Compilar
2. Cargar
3. Iniciar Monitor Serial
4. Enviar Texto a Través del Puerto Serial
5. Ocultar Consola de Mensajes

##### Otras Funciones
* [Librerías](https://github.com/gepd/Deviot/blob/master/Docs/Private_Library-es.md)


## Idiomas
En este momento **Deviot** está disponible en inglés y español. Si deseas ayudar y traducir el plugin a tu idioma, usa [esta pantilla](https://github.com/gepd/Deviot/blob/master/Languages/preset.txt) y cualquier otro archivo de idioma como referencia. 

Debes dejar la cadena `msgid` como está, y pegar tu palabra/oración traducido/a en `msgstr`. Cuando finalices, envía el nuevo archivo con un **pull request**

El archivo debe ser nombrado en el formato [ISO 639-1](https://en.wikipedia.org/wiki/List_of_ISO_639-1_codes) (dos letras) y con la extensión `.lang`

## Donar
Apoya el código libre, si te gustó este plugin y quieres aportar con un granito de arena para poder continuar con el desarrollo, hazlo a través de [este link](https://gratipay.com/~gepd/)

Si tienes algun problema o quieres contactarme: <gepd@outlook.com>

## Licencia
Derechos de Autor 2015-2016 GEPD <gepd@outlook.com>

Deviot está licenciado con la licencia permisiva Apache 2.0. Esto significa que tú puedes usarlo personal y comercialmente libre de cargos.

[Leer](https://github.com/gepd/Deviot/blob/master/LICENCE) el archivo de licencia completo.
